
package cn.sh.stc.sict.cloud.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description 社交登录类型
 * @Author
 * @Date
 */
@Getter
@AllArgsConstructor
public enum LoginTypeEnum {
    /**
     * 账号密码登录
     */
    PWD("pwd", "账号密码登录"),

    /**
     * 验证码登录
     */
    SMS("sms", "验证码登录"),

    /**
     * 验证码登录
     */
    SSB("ssb", "随申办token"),

    /**
     * 公众号香山中医医院
     */
    WOA_XSZY("woa_xszy", "香山中医医院公众号"),

    /**
     * H5登录
     */
    H5("h5", "H5登录"),

    /**
     * QQ登录
     */
    QQ("qq", "QQ登录"),

    /**
     * 微信登录
     */
    WECHAT("wx", "微信登录");


    /**
     * 类型
     */
    private final String type;
    /**
     * 描述
     */
    private final String description;

    public static LoginTypeEnum match(String type) {
        for (LoginTypeEnum loginType : LoginTypeEnum.values()) {
            if (loginType.getType().equals(type)) {
                return loginType;
            }
        }
        return null;
    }
}
